summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-05-05 20:56:16 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-05-05 20:56:16 +0100
commitc92bc85efcbeeeedb00adecc70a16f24e4e66f34 (patch)
treef7b5a077650e226936b11257f2618fe6e7f22996 /dev-libs
parent2a10bc12f94f44dfd95a21450d5891153e846b1b (diff)
import some splitted ebuilds from V3n3RiX's overlay...origined from gentoo, they are splitted nicely
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/libdbusmenu-gtk2/Manifest1
-rw-r--r--dev-libs/libdbusmenu-gtk2/libdbusmenu-gtk2-12.10.2.ebuild77
-rw-r--r--dev-libs/libindicate-gtk2/Manifest1
-rw-r--r--dev-libs/libindicate-gtk2/files/libindicate-0.6.1-no-mono.patch78
-rw-r--r--dev-libs/libindicate-gtk2/libindicate-gtk2-12.10.1.ebuild74
-rw-r--r--dev-libs/libindicator-gtk2/Manifest1
-rw-r--r--dev-libs/libindicator-gtk2/libindicator-gtk2-12.10.1.ebuild41
7 files changed, 273 insertions, 0 deletions
diff --git a/dev-libs/libdbusmenu-gtk2/Manifest b/dev-libs/libdbusmenu-gtk2/Manifest
new file mode 100644
index 00000000..3bd215e2
--- /dev/null
+++ b/dev-libs/libdbusmenu-gtk2/Manifest
@@ -0,0 +1 @@
+DIST libdbusmenu-12.10.2.tar.gz 735730 SHA256 9d6ad4a0b918b342ad2ee9230cce8a095eb601cb0cee6ddc1122d0481f9d04c9 SHA512 cf2e50dc3adbf35d0a4ccdd62a3efd9fae2d079b8d06e6522b70f077f89ac2cf72188e380f476e38d184b69549e90b801bf1e32174fa94bbe612dd52aec94496 WHIRLPOOL 3e75fd0bcbadcff8f4e4cd3a2be33a3aa7cf715413b1a67c5430b9420a965d64db2d988fa5c21fc42c6458ad4ed479c400b28b8a94074cb7223ab0a03ad985eb
diff --git a/dev-libs/libdbusmenu-gtk2/libdbusmenu-gtk2-12.10.2.ebuild b/dev-libs/libdbusmenu-gtk2/libdbusmenu-gtk2-12.10.2.ebuild
new file mode 100644
index 00000000..f28aa497
--- /dev/null
+++ b/dev-libs/libdbusmenu-gtk2/libdbusmenu-gtk2-12.10.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+VALA_MIN_API_VERSION=0.16
+VALA_USE_DEPEND=vapigen
+PYTHON_COMPAT=( python{2_6,2_7} )
+
+inherit eutils flag-o-matic python-single-r1 vala
+
+MY_PN="libdbusmenu"
+DESCRIPTION="Library to pass menu structure across DBus"
+HOMEPAGE="http://launchpad.net/dbusmenu"
+SRC_URI="http://launchpad.net/${MY_PN/lib}/${PV%.*}/${PV}/+download/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1 LGPL-3"
+SLOT="3"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc x86"
+IUSE="debug gtk +introspection"
+
+RDEPEND="
+ >=dev-libs/dbus-glib-0.100
+ >=dev-libs/json-glib-0.13.4
+ >=dev-libs/glib-2.32
+ dev-libs/libxml2
+ gtk? ( >=x11-libs/gtk+-2.18:2[introspection?] )
+ introspection? ( >=dev-libs/gobject-introspection-1 )
+ !<${CATEGORY}/${PN}-0.5.1-r200"
+DEPEND="${RDEPEND}
+ app-text/gnome-doc-utils
+ dev-util/intltool
+ virtual/pkgconfig
+ introspection? ( $(vala_depend) )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ if use introspection; then
+ vala_src_prepare
+ export VALA_API_GEN="${VAPIGEN}"
+ fi
+ python_fix_shebang tools
+}
+
+src_configure() {
+ append-flags -Wno-error #414323
+
+ # dumper extra tool is only for GTK+-2.x, tests use valgrind which is stupid
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ --disable-static \
+ --disable-silent-rules \
+ --disable-scrollkeeper \
+ $(use_enable gtk) \
+ --disable-dumper \
+ $(use_enable introspection) \
+ $(use_enable introspection vala) \
+ $(use_enable debug massivedebugging) \
+ --with-html-dir=/usr/share/doc/${PF}/html \
+ --with-gtk=2
+}
+
+src_test() { :; } #440192
+
+src_install() {
+ MAKEOPTS+=" -j1"
+ default
+
+ local a b
+ for a in ${PN}-{glib,gtk}; do
+ b=/usr/share/doc/${PF}/html/${a}
+ [[ -d ${ED}/${b} ]] && dosym ${b} /usr/share/gtk-doc/html/${a}
+ done
+
+ prune_libtool_files
+}
diff --git a/dev-libs/libindicate-gtk2/Manifest b/dev-libs/libindicate-gtk2/Manifest
new file mode 100644
index 00000000..205554d6
--- /dev/null
+++ b/dev-libs/libindicate-gtk2/Manifest
@@ -0,0 +1 @@
+DIST libindicate-12.10.1.tar.gz 550378 SHA256 41e0c059e96172975c716aa70dc60f669e21d359c65935c61ac374a9aa075581 SHA512 4dcb5f292153210bc15a05f117101429da77a60b8b05b569baddf0e9043d852c2dccb0d5a6adbdf4d4a1b6f06b33c61e242bb4bcb376e3d96563bda591685c06 WHIRLPOOL f175329bac76581ebc596771794e8e81c4e03b6042cc3508a7743034b7ed1f50b61b9accf78595c3beeed7236801096dfb58d42bd94959b433dfcf92b3114fae
diff --git a/dev-libs/libindicate-gtk2/files/libindicate-0.6.1-no-mono.patch b/dev-libs/libindicate-gtk2/files/libindicate-0.6.1-no-mono.patch
new file mode 100644
index 00000000..349828a6
--- /dev/null
+++ b/dev-libs/libindicate-gtk2/files/libindicate-0.6.1-no-mono.patch
@@ -0,0 +1,78 @@
+Temporary patch to disable mono until new gtk-sharp is in tree wrt bug #382491
+
+--- bindings/Makefile.am
++++ bindings/Makefile.am
+@@ -1,9 +1,5 @@
+ SUBDIRS =
+
+-if HAS_MONO
+-SUBDIRS += mono
+-endif
+-
+ if HAS_PYTHON
+ SUBDIRS += python
+ endif
+--- configure.ac
++++ configure.ac
+@@ -124,61 +124,6 @@
+ AC_PATH_PROG([VALA_API_GEN], [vapigen])
+
+ ###########################
+-# Check for Mono support
+-###########################
+-
+-MONO_REQUIRED_VERSION=1.0
+-PKG_CHECK_MODULES(MONO_DEPENDENCY, mono >= $MONO_REQUIRED_VERSION, has_mono=true, has_mono=false)
+-
+-AC_PATH_PROG(AL, al, no)
+-if test "x$AL" = "xno" ; then
+- AC_MSG_NOTICE([No al tool found. You need to install Mono.])
+-fi
+-
+-if test "x$has_mono" = "xtrue" ; then
+- GENERATED_SOURCES=generated/*.cs
+- AC_PATH_PROG(RUNTIME, mono, no)
+-
+- if test "x$RUNTIME" != "no" ; then
+- RUNTIME=mono
+- fi
+-
+- AC_PATH_PROG(CSC, gmcs, no)
+- LIB_PREFIX=.so
+- LIB_SUFFIX=
+-fi
+-
+-if test "x$CSC" = "xno" ; then
+- AC_MSG_NOTICE([No Mono compiler found.])
+-fi
+-
+-AC_PATH_PROG(GACUTIL, gacutil, no)
+-if test "x$GACUTIL" = "xno" ; then
+- AC_MSG_NOTICE([No gacutil tool found])
+-fi
+-
+-AC_SUBST(RUNTIME)
+-AC_SUBST(CSC)
+-AC_SUBST(GACUTIL)
+-AC_SUBST(LIB_PREFIX)
+-AC_SUBST(LIB_SUFFIX)
+-AC_SUBST(GENERATED_SOURCES)
+-
+-GLIB_SHARP_REQ_VERSION=2.12.1
+-GTK_SHARP_REQ_VERSION=2.12
+-PKG_CHECK_MODULES(GTK_SHARP, gtk-sharp-2.0 >= $GTK_SHARP_REQ_VERSION, has_gtksharp=true, has_gtksharp=false)
+-AC_SUBST(GTK_SHARP_LIBS)
+-AC_SUBST(GTK_SHARP_CFLAGS)
+-
+-PKG_CHECK_MODULES(GAPI, gapi-2.0 >= $GLIB_SHARP_REQ_VERSION, has_gapi=true, has_gapi=false)
+-AC_PATH_PROG(GAPI_PARSER, gapi2-parser, no)
+-AC_SUBST(GAPI_PARSER)
+-AC_PATH_PROG(GAPI_CODEGEN, gapi2-codegen, no)
+-AC_SUBST(GAPI_CODEGEN)
+-AC_PATH_PROG(GAPI_FIXUP, gapi2-fixup, no)
+-AC_SUBST(GAPI_FIXUP)
+-
+-###########################
+ # Check for Python support
+ ###########################
+
diff --git a/dev-libs/libindicate-gtk2/libindicate-gtk2-12.10.1.ebuild b/dev-libs/libindicate-gtk2/libindicate-gtk2-12.10.1.ebuild
new file mode 100644
index 00000000..496ce1de
--- /dev/null
+++ b/dev-libs/libindicate-gtk2/libindicate-gtk2-12.10.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+VALA_MIN_API_VERSION="0.16"
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools eutils flag-o-matic vala
+
+MY_PN="libindicate"
+DESCRIPTION="A library to raise flags on DBus for other components of the desktop to pick up and visualize"
+HOMEPAGE="http://launchpad.net/libindicate"
+SRC_URI="http://launchpad.net/${MY_PN}/${PV%.*}/${PV}/+download/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1 LGPL-3"
+SLOT="3"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc x86"
+IUSE="gtk +introspection"
+
+RESTRICT="test" # consequence of the -no-mono.patch
+
+RDEPEND="
+ >=dev-libs/dbus-glib-0.100
+ >=dev-libs/glib-2.30
+ dev-libs/libdbusmenu-gtk2[gtk?,introspection?]
+ dev-libs/libxml2
+ gtk? ( >=x11-libs/gtk+-2.18:2 )
+ introspection? ( >=dev-libs/gobject-introspection-1 )
+ !<${CATEGORY}/${PN}-0.6.1-r201"
+EAUTORECONF_DEPEND="dev-util/gtk-doc-am
+ gnome-base/gnome-common"
+DEPEND="${RDEPEND}
+ ${EAUTORECONF_DEPEND}
+ $(vala_depend)
+ app-text/gnome-doc-utils
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ vala_src_prepare
+
+ epatch "${FILESDIR}"/${MY_PN}-0.6.1-no-mono.patch
+
+ sed -i -e "s:vapigen:vapigen-$(vala_best_api_version):" configure.ac || die
+ sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ append-flags -Wno-error
+
+ # python bindings are only for GTK+-2.x
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ --disable-silent-rules \
+ --disable-static \
+ $(use_enable gtk) \
+ $(use_enable introspection) \
+ --disable-python \
+ --disable-scrollkeeper \
+ --with-gtk=2 \
+ --with-html-dir=/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+ dodoc AUTHORS ChangeLog NEWS
+
+ nonfatal dosym /usr/share/doc/${PF}/html/${PN} /usr/share/gtk-doc/html/${PN}
+
+ prune_libtool_files
+}
diff --git a/dev-libs/libindicator-gtk2/Manifest b/dev-libs/libindicator-gtk2/Manifest
new file mode 100644
index 00000000..809987dc
--- /dev/null
+++ b/dev-libs/libindicator-gtk2/Manifest
@@ -0,0 +1 @@
+DIST libindicator-12.10.1.tar.gz 427764 SHA256 b2d2e44c10313d5c9cd60db455d520f80b36dc39562df079a3f29495e8f9447f SHA512 d6d77d0309b15cf6b52539323920ab0c1594cb1c1cef8a8d67cd0f76f8ceeeac28eb6db6227563df1932e6f1fadcffac68d82982182b745257dfaf91f1c945af WHIRLPOOL 0fd630c390c16cd42a133c2eb2f7471e7d231de6c1c15a187e608bb305cac1435d5fa753043fc88825e53f081dffe0974d960e047b48fa9871426e09b5e1fd4e
diff --git a/dev-libs/libindicator-gtk2/libindicator-gtk2-12.10.1.ebuild b/dev-libs/libindicator-gtk2/libindicator-gtk2-12.10.1.ebuild
new file mode 100644
index 00000000..422d123f
--- /dev/null
+++ b/dev-libs/libindicator-gtk2/libindicator-gtk2-12.10.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+inherit eutils flag-o-matic virtualx
+
+MY_PN="libindicator"
+DESCRIPTION="A set of symbols and convience functions that all indicators would like to use"
+HOMEPAGE="http://launchpad.net/libindicator"
+SRC_URI="http://launchpad.net/${MY_PN}/${PV%.*}/${PV}/+download/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+RDEPEND=">=dev-libs/glib-2.22
+ >=x11-libs/gtk+-2.18:2"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? ( dev-util/dbus-test-runner )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_configure() {
+ append-flags -Wno-error
+
+ econf \
+ --disable-silent-rules \
+ --disable-static \
+ --with-gtk=2
+}
+
+src_test() {
+ Xemake check #391179
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install
+ prune_libtool_files --all
+}